<?php
$aCompilation = array();
// strip_tags removes all the html tags, the preg_replace removes everything that is not alphanumeric
$sText = preg_replace('/[^[:alpha:]]/', ' ', strip_tags($sWebPage));     
// the explode converts the string to an array splitting by spaces. the filter removes any empty strings                   
$aWords = array_filter(explode(" ", $sText));

// count each word
foreach ($aWords as $sWord) {
   if (array_key_exists($sWord, $aCompilation)) 
       $aCompilation[$sWord]++;
   else 
       $aCompilation[$sWord] = 1;
}     

// print each word controlling the font size based on the count
foreach($aCompilation as $sWord => $iCount) {
   $fSize = 0.8 + (0.1 * $iCount);
   if ($fSize > 5.0) $fSize = 5.0;
      echo '<span style="font-size:'.$fSize.'em" >'.$sWord." "."</span>";
}
?>
