<?php
define(DIMENSION, 400);           // half the size of the canvas
define(OFFSET, 50);               // axis offset from canvas margins
?>

<!DOCTYPE HTML>
   <html>            
       <head>
          <title>Equation Grapher</title>          
       </head>
       <body>
          <table>
             <tr>
               <td>              
               </td>
               <td>
                   <canvas id="myCanvas" width="<?php echo DIMENSION * 2 ?>" height="<?php echo DIMENSION * 2 ?>" style="border:1px solid #000000;">
                   </canvas>
                   <script>
                      var c = document.getElementById("myCanvas");
                      var ctx = c.getContext("2d");
                      ctx.font = "25px Arial";
                      ctx.fillText(<?php echo '"'.$sFormula.'", '.LABELX.", ".LABELY; ?>);
                      ctx.fillText("y",<?php echo DIMENSION - 3; ?>, <?php echo OFFSET - 10; ?>);
                      ctx.fillText("x",<?php echo OFFSET - 15; ?>,<?php echo DIMENSION + 5; ?>);
                      ctx.beginPath();
                      ctx.strokeStyle = 'black';
                      ctx.moveTo(<?php echo DIMENSION; ?>,<?php echo OFFSET; ?>);
                      ctx.lineTo(<?php echo DIMENSION; ?>,<?php echo DIMENSION * 2 - OFFSET; ?>);
                      ctx.stroke();
                      ctx.moveTo(<?php echo OFFSET; ?>,<?php echo DIMENSION; ?>);
                      ctx.lineTo(<?php echo DIMENSION * 2 - OFFSET; ?>,<?php echo DIMENSION; ?>);
                      ctx.stroke();
                      ctx.beginPath();
                      ctx.strokeStyle = 'red';
                   </script>
               </td>
             </tr>
           </table>
       </body>
   </html>  
