<?php
define('VISITORFILE', "./visitors6");
define("GEOCODEURL", "https://freegeoip.net/json/");

$aNumberPics = array(0 => "images/zero.png", 
                     1 => "images/one.png", 
                     2 => "images/two.png", 
                     3 => "images/three.png", 
                     4 => "images/four.png", 
                     5 => "images/five.png", 
                     6 => "images/six.png", 
                     7 => "images/seven.png", 
                     8 => "images/eight.png", 
                     9 => "images/nine.png");

$aVisitors = array("count" => 0, "ips" => array(), "countries" => array("Unknown" => 0));
?>

<!DOCTYPE HTML>
   <html>        
       <head>
          <title>Visitor Counters</title>
       </head>
       <body>
            <p>This counter counts unique visitors based on their ip address</p>

            <?php
                 //$sThisIp = $_SERVER["REMOTE_ADDR"];
$sThisIp = rand(0 , 254).".".rand(0 , 254).".".rand(0 , 254).".".rand(0 , 254);

                 // if the file exists read it 
                 if (file_exists(VISITORFILE))                    
                     $aVisitors = json_decode(file_get_contents(VISITORFILE), true);
                 
                 if (array_key_exists($sThisIp, $aVisitors["ips"])) {
                    // do nothing
                 } else {
                     $aVisitors["count"]++;
                     $aVisitors["ips"][$sThisIp] = " ";
                     // process the country
                     $aCountry = json_decode(file_get_contents(GEOCODEURL.$sThisIp), true);
                     if ($aCountry["country_name"] == "")
                        $aVisitors["countries"]["Unknown"]++;
                     else 
                        if (array_key_exists($aCountry["country_name"], $aVisitors["countries"]))
                           $aVisitors["countries"][$aCountry["country_name"]]++;
                        else 
                           $aVisitors["countries"][$aCountry["country_name"]] = 1;
                 }
                 // munge for output and write it back to the file.
                 file_put_contents(VISITORFILE, json_encode($aVisitors));
                 $sCurrent = str_pad($aVisitors["count"], 8, '0', STR_PAD_LEFT);
                 $aDigits = str_split($sCurrent);
            ?>
            <h2>your page has been visited <?php 
                                                foreach($aDigits as $num) 
                                                     echo '<img src="'.$aNumberPics[$num].'" />';
                                           ?> times.</h2>
            <h2>We have been visited from these countries:</h2>
            <ul>
                 <?php foreach($aVisitors["countries"] as $name => $count)
                       echo "<li>$name : $count</li>";
                 ?>
            </ul>

       </body>
   </html>
