<!DOCTYPE HTML>
   <html>
       <head>
          <title>My Web Browser</title>
       </head>
       <body>
         <?php 
            if (array_key_exists("url", $_REQUEST)) {
               $ch = curl_init($_REQUEST["url"]);
               if (!$ch) 
                  echo curl_error($ch);
                else if (!curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1))
                  echo curl_error($ch);
                else $sWebPage = curl_exec($ch);
                  curl_close($ch);
                }
         ?>
         <table border="3px">
           <TR>
              <TD>               
                   <?PHP 
                       $doc = new DOMDocument();
                       @$doc->loadHTML($sWebPage);
                       $tags = $doc->getElementsByTagName('a'); ?>
                     <ul>
                    <?php foreach ($tags as $tag) {
                           $url = $tag->getAttribute('href'); ?>
                         <li><?php echo $url; ?></li>
                    <?php  } ?>
                     </ul>  
               </TD>
               <TD>               
                   <?PHP 
                       $doc = new DOMDocument();
                       @$doc->loadHTML($sWebPage);
                       $tags = $doc->getElementsByTagName('img'); ?>
                     <ul>
                    <?php foreach ($tags as $tag) {
                           $url = $tag->getAttribute('src'); ?>
                         <li><?php echo $url; ?></li>
                    <?php  } ?>
                     </ul>  
               </TD>
            </TR>
            <TR>
                <td colspan="2"> 
               <?php 
                       $aCompilation = array();
                       // strip_tags removes all the html tags, the preg_replace removes everything that is not alphanumeric
                       $sText = preg_replace('/[^[:alpha:]]/', ' ', strip_tags($sWebPage));     
                       // the explode converts the string to an array splitting by spaces. the filter removes any empty strings                   
                       $aWords = array_filter(explode(" ", $sText));

                       // count each word
                       foreach ($aWords as $sWord) {
                          if (array_key_exists($sWord, $aCompilation)) 
                             $aCompilation[$sWord]++;
                          else 
                             $aCompilation[$sWord] = 1;
                       }     
                 
                       // print each word controlling the font size based on the count
                       foreach($aCompilation as $sWord => $iCount) {
                          $fSize = 0.8 + (0.1 * $iCount);
                          if ($fSize > 5.0) $fSize = 5.0;
                          echo '<span style="font-size:'.$fSize.'em" >'.$sWord." "."</span>";
                       }
                 ?> 

                </td>
            </tr>
            <tr>
               <TD colspan="2">         
                    <form action="<?php echo $_SERVER['HTTP_REFERER'];?>" method="post">
                       URL: <input type="text" name="url"><p />
                       <input type="submit" value="Submit"><br>
                    </form>
                </TD>
             </TR>
          </table>
      </body>
   </html>
