<!DOCTYPE HTML>
   <html>            
       <head>
          <title>Equation Grapher</title>
       </head>
       <body>

<?php
$sFormula = "y = 55x^10 + 2 +";
$sError = "";
$aFormula = str_split($sFormula);
$iIndex = 0;

$aDigits = array( 0 => "0",
                  1 => "1",
                  2 => "2",
                  3 => "3",
                  4 => "4",
                  5 => "5",
                  6 => "6",
                  7 => "7",
                  8 => "8",
                  9 => "9");
$aOps = array( "+" => "+", "-" => "-", "*" => "*", "/" => "/" );
$iMultiplier = -1;
$iPower = -1;
$cOp = ".";

print_r($aFormula);

function NextChar() {
global $aFormula, $iIndex, $sError, $sFormula;

   $iIndex++;
   if ($iIndex >= count($aFormula)) {
      $sError = "Incomplete formula: ".$sFormula.". Bailing! ".$iIndex." >= ".count($aFormula)."<br>";
      return false;
   }
   return true;
}


// parse the y
if ($aFormula[$iIndex] != "y") {
   $sError = "Formula must start with a y variable.";
   goto end;
} else if (!NextChar()) goto end;

// parse the possible space
if ($aFormula[$iIndex] == " ") if (!NextChar()) goto end;

// parse the equals sign
if ($aFormula[$iIndex] != "=") {
   $sError = "Right hand side and left hand side of formula must be separated with an equals (=) operator.";
   goto end;
} else if (!NextChar()) goto end;

// parse the possible space
if ($aFormula[$iIndex] == " ") if (!NextChar()) goto end;

// parse number or x - note no space allowed between numbers and spaces
if ($aFormula[$iIndex] == "x") {
   if (!NextChar()) goto end;
} else if (array_key_exists($aFormula[$iIndex], $aDigits)) {
   // handle multi digit numbers
   while (array_key_exists($aFormula[$iIndex], $aDigits)) {
      if ($iMultiplier == -1) 
         $iMultiplier = $aFormula[$iIndex];
      else 
         $iMultiplier = $iMultiplier * 10 + $aFormula[$iIndex];
      if (!NextChar()) goto end;
   }
   if ($aFormula[$iIndex] != "x") {
      $sError = "Multiplier numbers must be followed by the x variable.";
      goto end;
   }
   // process the x variable
   if (!NextChar()) goto end;
} else {
   $sError = "Right hand side of formula must start with a number or x variable.";
   goto end;
}

// parse possible power
if ($aFormula[$iIndex] == "^") {
   if (!NextChar()) goto end;
   // handle multi digit numbers
   while (array_key_exists($aFormula[$iIndex], $aDigits)) {
      if ($iPower == -1) 
         $iPower = $aFormula[$iIndex];
      else 
         $iPower = $iPower * 10 + $aFormula[$iIndex];
      if (!NextChar()) goto end;
   }
}

// parse the possible space
if ($aFormula[$iIndex] == " ") if (!NextChar()) goto end;

// check for the end of the formula
if ($iIndex >= count($aFormula)) goto process;

// parse operator
if (array_key_exists($aFormula[$iIndex], $aOps)) {
   $cOp = $aOps[$aFormula[$iIndex]];
   if (!NextChar()) goto end;
} else {
   $sError = "Unknown operator: ".$aFormula[$iIndex];
   goto end;
}

// parse the possible space
if ($aFormula[$iIndex] == " ") if (!NextChar()) goto end;

// Parse the possible constant
if (array_key_exists($aFormula[$iIndex], $aDigits)) {
   // handle multi digit numbers
   while (array_key_exists($aFormula[$iIndex], $aDigits)) {
      if ($iConstant == -1) 
         $iConstant = $aFormula[$iIndex];
      else 
         $iConstant = $iConstant * 10 + $aFormula[$iIndex];
      $iIndex++;
      if ($iIndex >= count($aFormula))    
         break;
   }
}


process:
end:
echo "<p />".$iIndex." => ".$aFormula[$iIndex];
?>
   </body>
  </html>
